*{
    margin: 0;
}
body{
    background: #c3d4e9;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    font-family: Segoe UI;
    gap: 0;
    scroll-behavior: smooth;
}  


.navegador{
    width: 100vw;
    margin: auto;
    margin-bottom: 0;
    margin-top: 0;
    background-color: #074075;
    display:flex;
    flex-direction: row;
    justify-items: center;
    position: fixed;
}
.navegador__lista {
    margin: 0;
    padding: 0;
    text-align: center;
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-grow: 1;
}
.navegador__items {
    flex-grow: 1;
    text-decoration: none;
    color: #8fadc9;
    padding: 20px;
    background-color: transparent; 
    border: none;
    font-weight: 200;
    transition-property: background-color, font-size;
    transition-duration: 1s;
}
.navegador__items:hover{
    background-color: #182238;
}
.navegador__contenedor {
    flex-grow: 1;
    align-content: center;
    justify-items: center;
}
.navegador__titulo{
    font-family: 'Type';
    font-size: 0.6em;
    font-weight: 400;
    font-style: italic;
    background-color: #f3e016;
    color: #182238;
    max-height: 15px;
    padding: 5px;
    border-radius: 2px;
    max-width: 80px;
    flex-grow: 1;
    
    
}



.presentacion {
    font-family: Segoe UI;
    background: linear-gradient(#074075,#075e93);
    height: 800px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.presentacion :first-child{
    height: 120px;
}
.presentacion :nth-child(2) {
    font-family: 'Type';
    font-style: italic;
    color: #183064;
    background-color: #f3e016;
    box-shadow: 0px 0px 20px #0006;
    border-radius: 10px;
    padding: 5px 20px;
    padding-left: 10px;
    text-transform: uppercase;
    text-align: center;
    font-size: 3em;
    text-shadow:0px 0px 0.05em #ffffff77;
    max-width: 380px;
}
.presentacion :nth-child(3) {
    color: #ac9f10;
    font-weight: 400;
    font-size: 1em;
    line-height: 0.5;
    text-transform: uppercase;
    letter-spacing: 1ch;
    margin-top: 10px;
}
.presentacion :nth-child(4) {
    color: rgb(139, 168, 201);
    border-top: #8fadc9 solid;
    border-width: 1px;
    max-width: 350px;
    text-align: center;
    font-size: 1.2em;
    margin-top: 20px;
    padding-top: 10px;
    letter-spacing: 0.3em;
    font-weight: 200;
}
.presentacion__contendor {
    display: flex;
    flex-direction: row;
}
.presentacion__imagen {
    flex-grow: 1;
}



.tecnica {
    background: linear-gradient(#DCDCDC,#afafaf);
    padding: 20px;
    margin: auto;
    margin-top: 0;
    display: flex;
    flex-direction: row;
    font-family: Segoe UI;
}
.tecnica__titulo {
    font-size: 2em;
    font-weight: 200;
    color: #075e93;
    padding: 5px;
    margin-top: 0;
    box-sizing: border-box;
    max-width: 180px;
    text-wrap: balance;
}
.tecnica__contenedor {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}
.tecnica__texto {
    color: #2c3f68;
    margin: 10px;
    flex-grow: 1;
    flex-basis: 400px;
}
#escudo {
    max-width: 128px;
}


.productos {
    background: linear-gradient(#f3d216,#f3e016);
    margin: auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    font-family: Segoe UI;
}
.productos__titulo {
    font-family: Segoe UI;
    font-weight: 200;
    font-size: 2em;
    color:#075e93;
    margin-bottom: 10px;
}
.productos__contenedor{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 40px;
}
.productos__template {
    height: 400px;
    width: 250px;
    background: #DCDCDC;
    border-radius: 8px;
    box-shadow: 0px 0px 15px #00000033;
    margin: 25px;
    padding: 10px;
    color: #343b4b;
    display: flex;
    flex-direction: column;
    list-style: none;
    align-items: center;
    text-align: center;
    transition-duration: 0.2s;
    transition-timing-function: cubic-bezier(0.075, 0.82, 0.165, 1);
}
.productos__template:hover{
    transform: translateY(10px); scale: 1.1;
    z-index: 0;
}
.productos__template :first-child{
    max-width: 100%;
    height: auto;
    border-radius: 5px;
    border: none;
    flex-grow: 2;
}
.productos__template :nth-child(2){
    font-weight: 600;
    font-size: 1.2em;
    flex-grow: 1;
    align-self: start;
}
.productos__template :nth-child(3){
    font-size: 1em;
    font-style: italic;
    flex-grow: 1;
    align-self: start;
}
.productos__template :nth-child(4){
    font-size: 1em;
    flex-grow: 3;
    align-self: start;
    box-sizing: border-box;
    border-width: 1px;
}
.productos__template :last-child{
    text-decoration: none;
    color: #075e93;
    font-size: 1.5em;
    font-weight: 600;
    flex-grow: 1;
    padding: 0 20px;
}
.productos__contenedor a:hover {
    outline: 1px solid #075e93;
    border-radius: 5px;
    box-shadow: 0 0 3px #182238;
}



.contacto {
    width: dvw;
    margin: auto;
    padding-bottom: 40px;
}
.contacto__formulario {
    background:#c3d4e9;
    box-shadow: 0px 0px 20px  #18223831;
    color: #2c3f68;
    display: block;
    padding: 30px;
    margin: auto;
    margin-top: 40px;
    max-width: 500px;
    font-family: Segoe UI;
    border-radius: 5px;
}
.contacto__formulario fieldset {
    margin: 10px 0;
    padding: 0 20px ;
    border: 1px solid #8fadc9;
    border-radius: 5px;
}
.contacto__formulario legend {
    font-family: Segoe UI;
    font-size: 1em;
    color: #8fadc9;
}
.contacto__titulo {
    font-weight: 200;
    text-align: center;
    margin-top: 0;
    font-size: 1.2em;
    color: #182238;
}
.contacto__contenedor {
    display: flex;
    flex-direction: column;
}
.contacto__contenedor :first-child {
    margin-top: 10px;
}
.contacto__input, .contacto__textarea, .contacto__select, .contacto__boton {
    height: 30px;  
    border-radius: 8px;
    border: none;
    padding: 5px;
    margin-bottom: 20px;
    background-color: #8fadc9;
    font-family: Segoe UI;
    transition-duration: 0.5s;
    transition-property: background-color, color, box-shadow;
    transition-timing-function: ease-in-out;
}
.contacto__select:has(option[value=""]:checked) {
    color: #2c3f68;
}
.contacto__select option {
    color: #0000002a;
}
.contacto__select:focus-visible{
    outline: none;
}
.contacto__textarea {
    min-height: 102px;
    resize: none;
}

.contacto__textarea:focus-visible {
    outline: none;
}
.contacto__formulario ::placeholder {
    color: #2c3f68;
}
.contacto__input:focus-visible {
    outline: none;
}
.contacto__contenedor button:hover {
    background-color: #2c3f68;
    color: #a4b7c9;
    box-shadow: 0px 0px 15px #075e93;
}


.legales {
    background: #182238;
    width: dvw;
    padding: 20px;
    color: #DCDCDC;
    display: flex;
    flex-direction: column;
    font-family: Segoe UI;
}
.legales__titulo {
    font-family: 'Type';
    font-style: italic;
    font-size: 1.2em;
}
.legales__contenedor {
    display: flex;
    flex-direction: row;  
    justify-content: space-between;
}
.legales__contenedor:last-child {
    justify-items: right;
    justify-self: right;
}
.legales__contenedor--imagen{
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    align-items: end;
    justify-content: end;
}
.legales__lista {
    padding: 0;
    display: flex;
    flex-direction: column;
    flex-grow: 6;
}
.legales__item{
    font-weight: 200;
    font-size: 0.7em;
    margin-top: 15px;
}
.legales__imagen {
    height: 30px;
}
@media screen and (max-width: 500px) {
    .navegador__items{
        padding: 12px;
        font-size: .9em;
    }
    .navegador__contenedor {
        display: none;
    }
    .presentacion :nth-child(2) {
        font-size: 2em;
    }
    .presentacion :nth-child(3) {
        font-size: .9em;
    }
     .presentacion :last-child {
        font-size: 0.9em;
    }    
    .legales__item{
        font-size: 0.6em;
    }
    .legales__titulo{
        font-size: 1em;
    }

}

